0 Replies Latest reply on Jul 30, 2015 5:48 PM by lwg1

    Minimum system requirement for Mac OS 10

    lwg1

      I acknowledge that the system requirement for Adobe Digital Editions (ADE) 4.0.3 is Mac OS 10.8 and higher.

      Can you therefore explain why I am able to read  in Mac OS 10.7.5 free or preview content (available, for example, from the Sample eBook Library), but attempting to open purchased content invariably crashes ADE?